Package tigase.server.bosh

## Class BoshSessionCache

- java.lang.Object
- - tigase.server.bosh.BoshSessionCache

-     public class BoshSessionCache
      extends java.lang.Object

  Describe class BoshSessionCache here.
  Created: Mon Feb 25 23:54:57 2008
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEF_ID` |
    `protected java.util.Map<java.lang.String,​java.lang.Long>` | `jid_msg_start` | Cached time of the first message to/from some jid to speedup message caching processing
    `static java.lang.String` | `MESSAGE_ID` |
    `static java.lang.String` | `RESOURCE_BIND_ID` |
    `static java.lang.String` | `ROSTER_ID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoshSessionCache()` | Creates a new `BoshSessionCache` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(java.lang.String id, java.util.List<Element> data)` |
    `void` | `addFromMessage​(Element message)` |
    `void` | `addPresence​(Element presence)` |
    `void` | `addRoster​(Element roster)` |
    `void` | `addToMessage​(Element message)` |
    `java.util.List<Element>` | `get​(java.lang.String id)` |
    `java.util.List<Element>` | `getAll()` |
    `java.util.List<Element>` | `getAllPresences()` |
    `java.util.List<Element>` | `getPresence​(java.lang.String... from)` |
    `java.util.List<Element>` | `remove​(java.lang.String id)` |
    `void` | `set​(java.lang.String id, java.util.List<Element> data)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEF_ID

          public static final java.lang.String DEF_ID

      See Also:
        Constant Field Values

    - #### MESSAGE_ID

          public static final java.lang.String MESSAGE_ID

      See Also:
        Constant Field Values

    - #### RESOURCE_BIND_ID

          public static final java.lang.String RESOURCE_BIND_ID

      See Also:
        Constant Field Values

    - #### ROSTER_ID

          public static final java.lang.String ROSTER_ID

      See Also:
        Constant Field Values

    - #### jid_msg_start

          protected java.util.Map<java.lang.String,​java.lang.Long> jid_msg_start

      Cached time of the first message to/from some jid to speedup message caching processing

  - ### Constructor Detail

    - #### BoshSessionCache

          public BoshSessionCache()

      Creates a new `BoshSessionCache` instance.

  - ### Method Detail

    - #### add

          public void add​(java.lang.String id,
                          java.util.List<Element> data)

    - #### addFromMessage

          public void addFromMessage​(Element message)

    - #### addPresence

          public void addPresence​(Element presence)

    - #### addRoster

          public void addRoster​(Element roster)

    - #### addToMessage

          public void addToMessage​(Element message)

    - #### get

          public java.util.List<Element> get​(java.lang.String id)

    - #### getAll

          public java.util.List<Element> getAll()

    - #### getAllPresences

          public java.util.List<Element> getAllPresences()

    - #### getPresence

          public java.util.List<Element> getPresence​(java.lang.String... from)

    - #### remove

          public java.util.List<Element> remove​(java.lang.String id)

    - #### set

          public void set​(java.lang.String id,
                          java.util.List<Element> data)